Am I in the right place?

Matthias B. msbREMOVE-THIS at winterdrache.de
Thu Aug 26 04:21:38 PDT 2004


On Tue, 24 Aug 2004 23:19:32 -0700 (PDT) David Wilson
<dave at overbearing.org> wrote:

> Dear David Douthitt,
> 
> I have a question about this.  I see in the uclibc differences file:
> 
> 6) uClibc does not support NSS (/lib/libnss_*), which allows glibc to
> easily support various methods of authentication and DNS resolution. 
> uClibc only supports flat password files and shadow password files for
> storing authentication information.
> 
> http://www.uclibc.org/downloads/Glibc_vs_uClibc_Differences.txt
> 
> Do I understand you to mean that network code such as wget will fail
> under uclibc even if compiled staticly?

I think that wget doesn't use any of the affected functions. But it's true
that static binaries that use these functions (such as bash) will fail if
both of the following are true

a) they are executed on a system that has no or incompatible libnss
libraries. This can even occur if the system has a different version of
glibc.

b) they use one of the affected functions at run-time

The problem can be avoided by compiling glibc with --enable-static-nss,
which will create static nss libraries that allow you to build truely
statically linked binaries. See the glibc FAQ.

But this is all way to much information for the OP to swallow and I hope
that he isn't reading this anymore. It's not something he should worry
about at this point.

MSB

-- 
Bad comments reveal the bad programmer.




More information about the lfs-support mailing list